import resolve from '@rollup/plugin-node-resolve';
import typescript from '@rollup/plugin-typescript';
import commonjs from '@rollup/plugin-commonjs';
import { dts } from 'rollup-plugin-dts';

const entrys = ['index'];
/**
 * @type {import('rollup').RollupOptions[]}
 */
const configs = entrys.map((entry) => ({
  input: `./src/${entry}.ts`, // 修改输入文件为 TypeScript 文件
  output: {
    file: `./dist/${entry}.js`,
    format: 'es', // 输出格式为 ES Module
  },
  plugins: [
    resolve({ browser: false }),
    commonjs(),
    typescript({
      tsconfig: './tsconfig.json',
    }),
  ],
}));
const dtsConfigs = {
  input: './src/index.ts',
  output: {
    file: './dist/index.d.ts',
    format: 'es',
  },
  plugins: [dts()],
};

export default [...configs, dtsConfigs];
